SystemOrganization addCategory: #'GT-Scenery'!

Object subclass: #GTScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

GTScenery subclass: #GTInspectorColorScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorColorScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/19/2014 06:35'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 2.0; 
		parent: #GTScenery;
		label: 'Inspector - Color';
		action:[self new setUp]! !

!GTInspectorColorScenery methodsFor: 'setUp' stamp: 'TudorGirba 5/18/2014 21:59'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'Color indexedColors atRandom') maximize! !

GTScenery subclass: #GTInspectorCompiledMethodScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorCompiledMethodScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/19/2014 07:24'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 4.0; 
		parent: #GTScenery;
		label: 'Inspector - CompiledMethod';
		action:[self new setUp]! !

!GTInspectorCompiledMethodScenery methodsFor: 'setUp' stamp: 'TudorGirba 5/18/2014 22:40'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'Object>>#deep:do:') maximize! !

GTScenery subclass: #GTInspectorDictionaryScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorDictionaryScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/19/2014 06:35'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 1.0; 
		parent: #GTScenery;
		label: 'Inspector - Dictionary';
		action:[self new setUp]! !

!GTInspectorDictionaryScenery methodsFor: 'setUp' stamp: 'TudorGirba 5/18/2014 21:58'!
setUp
	self cleanWindows.
	(GTPlayground openContents: '{
	#number -> 42 . 
	#string -> ''fourty-two'' . 
	#date -> Date today } 
		asDictionary') maximize! !

GTScenery subclass: #GTInspectorFileReferenceScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorFileReferenceScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/19/2014 07:25'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 5.0; 
		parent: #GTScenery;
		label: 'Inspector - FileReference';
		action:[self new setUp]! !

!GTInspectorFileReferenceScenery methodsFor: 'setUp' stamp: 'TudorGirba 5/18/2014 22:38'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'FileSystem disk workingDirectory') maximize.
	GTSnippets reset! !

GTScenery subclass: #GTInspectorInspectorItselfScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorInspectorItselfScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/19/2014 07:25'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 10.0; 
		parent: #GTScenery;
		label: 'Inspector - Inspector';
		action:[self new setUp]! !

!GTInspectorInspectorItselfScenery methodsFor: 'setUp' stamp: 'TudorGirba 5/18/2014 22:01'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'GTInspector') maximize! !

GTScenery subclass: #GTInspectorInspectorSizeScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorInspectorSizeScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/19/2014 07:26'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 100.0; 
		parent: #GTScenery;
		label: 'Inspector - Inspector size';
		action:[self new setUp]! !

!GTInspectorInspectorSizeScenery methodsFor: 'setUp' stamp: 'TudorGirba 5/20/2014 10:49'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'GTInspector package linesOfCode + 
((RPackageOrganizer default packages 
	select: [:each | each name beginsWith: ''GT-InspectorExtensions'']) 
		sum: #linesOfCode)') maximize! !

GTScenery subclass: #GTInspectorMethodQueryScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorMethodQueryScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/19/2014 07:25'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 4.1; 
		parent: #GTScenery;
		label: 'Inspector - Method Query';
		action:[self new setUp]! !

!GTInspectorMethodQueryScenery methodsFor: 'setUp' stamp: 'TudorGirba 5/19/2014 07:23'!
setUp
	self cleanWindows.
	(GTPlayground openContents: '(Object 
	withDeep: #subclasses 
	flatCollect: [ :each |
		Pragma
			allNamed: #gtInspectorPresentationOrder:
			in: each ])
	collect: [:each | each method asRingDefinition]') maximize! !

GTScenery subclass: #GTInspectorPostgresScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorPostgresScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/19/2014 07:25'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 6.0; 
		parent: #GTScenery;
		label: 'Inspector - Postgres';
		action:[self new setUp]! !

!GTInspectorPostgresScenery methodsFor: 'setUp' stamp: 'TudorGirba 5/18/2014 22:19'!
setUp
	self cleanWindows.
	(GTPlayground openContents: '| conn |
conn := PGConnection new.
conn connectionArgs:
		(PGConnectionArgs
			hostname: ''localhost''
			portno: 5432
			databaseName: ''girba''
			userName: ''girba''
			password: '''').
conn startup.
conn') maximize.
	GTSnippets reset.
	GTSnippets snippetAt: #PGResultSet asClass put: '| builder models |
models := (self dataRows
		sortDescending: [ :x | x atName: #population ])
		first: 100.
builder := GET2DiagramBuilder new.
builder horizontalBarDiagram
	models: models;
	modelLabels: [ :row | row atName: #cityname ];
	x: [ :row | row atName: #population ]";
	color: ((RTNIdentityNormalizer 
		withCommand: [ :row | row atName: #continent ]))".
builder'! !

GTScenery subclass: #GTInspectorWorldScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorWorldScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/25/2014 09:57'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 4.0; 
		parent: #GTScenery;
		label: 'Inspector - World';
		action:[self new setUp]! !

!GTInspectorWorldScenery methodsFor: 'setUp' stamp: 'TudorGirba 5/25/2014 10:06'!
setUp
	self cleanWindows.
	CPDiverging show canvas.
	SettingBrowser open extent: 600@400.
	Nautilus open.
	(GTPlayground openContents: 'World') maximize! !

!GTScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/19/2014 07:26'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: #GTScenery)
		order: 7.0; 
		label: 'Scenery';
		withSeparatorAfter! !

!GTScenery methodsFor: 'utilities' stamp: 'TudorGirba 5/18/2014 21:56'!
cleanWindows
	(World submorphs 
		select: [ :each | each isKindOf: SystemWindow ])
		do: #delete! !

!GTScenery methodsFor: 'setUp' stamp: 'TudorGirba 5/18/2014 21:54'!
setUp
	! !
